List cron jobs
curl --request GET \
--url https://sailbox-api.sailresearch.com/v1/sailboxes/{sailbox_id}/cron \
--header 'Authorization: Bearer <token>'import requests
url = "https://sailbox-api.sailresearch.com/v1/sailboxes/{sailbox_id}/cron"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sailbox-api.sailresearch.com/v1/sailboxes/{sailbox_id}/cron', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "cron_3f2a9c1e-7b4d-4e8a-9c1f-2d3e4f5a6b7c",
"sailbox_id": "sb_9c8f1e2a-3b4d-4f5a-8c7e-1d2f3a4b5c6d",
"schedule": "0 9 * * 1-5",
"timezone": "America/New_York",
"command": "python /app/report.py",
"next_run_at": "2030-01-01T14:00:00Z",
"created_at": "2029-12-31T18:30:00Z"
}
],
"limit": 50,
"offset": 0,
"total": 1,
"has_more": false
}{
"error": {
"message": "memory_limit_gib for size m must be between 8 and 128",
"type": "invalid_request_error",
"param": null,
"code": null
}
}{
"error": {
"message": "Invalid API key",
"type": "authentication_error",
"param": null,
"code": "invalid_api_key"
}
}{
"error": {
"message": "Your API key has been disabled due to insufficient credits. Visit https://app.sailresearch.com/billing to add credits.",
"type": "billing_error",
"param": null,
"code": "credits_exhausted",
"billing_url": "https://app.sailresearch.com/billing"
}
}{
"error": {
"message": "sailboxes require an organization-scoped API key",
"type": "permission_error",
"param": null,
"code": null
}
}{
"error": {
"message": "sailbox \"sb_9c8f1e2a-3b4d-4f5a-8c7e-1d2f3a4b5c6d\" not found",
"type": "not_found_error",
"param": null,
"code": null
}
}{
"error": {
"message": "Too many concurrent requests. Please retry after some of your organization's in-flight requests complete.",
"type": "rate_limit_error",
"param": null,
"code": "rate_limited"
}
}{
"error": {
"message": "failed to fetch sailbox",
"type": "server_error",
"param": null,
"code": null
}
}{
"error": {
"message": "Authentication service unavailable",
"type": "server_error",
"param": null,
"code": null
}
}Lifecycle
List cron jobs
Returns one page of the Sailbox’s cron jobs, oldest first. This works on a paused or sleeping Sailbox and does not wake it.
GET
/
sailboxes
/
{sailbox_id}
/
cron
List cron jobs
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Id of the Sailbox, as returned by create. It is sb_ followed by a UUID.
Query Parameters
How many cron jobs to return.
Required range:
1 <= x <= 100How many cron jobs to skip before the page starts.
Required range:
0 <= x <= 100000Response
One page of cron jobs.
The requested page of cron jobs, oldest first.
Show child attributes
Show child attributes
Page size that was applied.
Offset that was applied.
Total number of cron jobs the Sailbox has.
Whether another page follows this one.